moGreatDemand = {};
source(MultiOverlayV3.modDir.."scripte/module/greatDemand/moGreatDemandConfig.lua");

function moGreatDemand:update(dt)
	if moModule.active.greatDemand.isRunning then
		if moGreatDemand.values.updateTimer > 0 then
			if MultiOverlayV3.timers["updateGreatDemand"] ~= nil then return;end;
			moSetGetExtras:addTimer( {delay=moGreatDemand.values.updateTimer, name="updateGreatDemand", ms=moGreatDemand.values.msec, repeatable=1, action=moGreatDemand.load} )
		else
			moGreatDemand:load();
		end;
	end;
end;

function moGreatDemand:load()
	moModule.active.greatDemand.isRunning = true;moModule.active.greatDemand.last = moModule.time.min+moModule.time.delay;
	moGreatDemand:setGetFillTypesAndStationsGreatDemand();
end;

function moGreatDemand:setGetFillTypesAndStationsGreatDemand()
	if moFillTypes == nil or moFillTypes.values == nil then return;end;
	local demandId = Utils.getNoNil(g_currentMission.economyManager.numberOfConcurrentDemands, nil);
	moFillTypes.values.greatDemand = {};
	moGreatDemand.values.stations ={};
	if demandId ~= nil and demandId > 0 then
		for demand=1, demandId do
			if g_currentMission.economyManager.greatDemands[demand].fillTypeIndex > 0 and g_currentMission.economyManager.greatDemands[demand].isRunning then
				local greatDemand = g_currentMission.economyManager.greatDemands[demand];
				moFillTypes.values.greatDemand[greatDemand.fillTypeIndex] = {};
				moFillTypes.values.greatDemand[greatDemand.fillTypeIndex].stationName = greatDemand.sellStation.stationName;
				moFillTypes.values.greatDemand[greatDemand.fillTypeIndex].multiplier = greatDemand.demandMultiplier;
				moFillTypes.values.greatDemand[greatDemand.fillTypeIndex].duration = greatDemand.demandDuration;
				moFillTypes.values.greatDemand[greatDemand.fillTypeIndex].isValid = greatDemand.isValid;
				moFillTypes.values.greatDemand[greatDemand.fillTypeIndex].isRunning = true;
				if moGreatDemand.values.stations[greatDemand.sellStation.stationName] == nil then moGreatDemand.values.stations[greatDemand.sellStation.stationName] = {};end;
				--greatDemand slotOutputTable
			end;			
		end;
	end;	
end;