moSellingStationsConfig = {};

function moSellingStationsConfig:onStartMission()
	moSellingStations:loadStations();
end;

function moSellingStationsConfig:defaultValues()
	moSellingStations.values = {stations={}, updateTimer=10, msec=false};
end;

function moSellingStationsConfig:loadXml(self, Xml, xmlNameTag, file, isSaveGameIndex)
	if moSellingStations.values == nil then moSellingStationsConfig:defaultValues();end;
	local groupNameTag = (xmlNameTag.. ".module.sellingStations(%d)"):format(0);
	if getXMLBool(Xml, groupNameTag.. "#mSecTimer") ~= nil then
		moSellingStations.values.msec = getXMLBool(Xml, groupNameTag.. "#mSecTimer");
	end;
	if getXMLInt(Xml, groupNameTag.. "#updateTimer") then
		moSellingStations.values.updateTimer = getXMLInt(Xml, groupNameTag.. "#updateTimer");
	end;	
end;

function moSellingStationsConfig:saveXml(self, Xml, xmlNameTag)
	if moSellingStations.values == nil then moSellingStationsConfig:defaultValues();end;
	----------------------------------------------------------------------------------------------
	local groupNameTag = (xmlNameTag.. ".module.sellingStations(%d)"):format(0);
	setXMLInt(Xml, groupNameTag.. "#updateTimer", moSellingStations.values.updateTimer);
	setXMLBool(Xml, groupNameTag.. "#mSecTimer", moSellingStations.values.msec);
	----------------------------------------------------------------------------------------------	
end;

function moSellingStationsConfig.onSaveCallback()
	moSetGetClientSettings:saveConfig(self);
end;